Download it now!
Bug 51763 - FILESAVE: broken string when exporting a diagram to PNG or other formats
Summary: FILESAVE: broken string when exporting a diagram to PNG or other formats
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Jorendc
URL:
Whiteboard: target:4.4.0 target:4.3.0.2 target:4.2.6
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-05 15:32 UTC by Jordi Mallach
Modified: 2015-05-04 06:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jordi Mallach 2012-07-05 15:32:31 UTC
The string for the window title in the export dialog is " Options". PNG, JPG, or whatever format is appended before this string, which makes the string unlocalisable for many languages, including Catalan.

The offending line is currently here:

http://cgit.freedesktop.org/libreoffice/core/tree/svtools/source/filter/exportdialog.src#n23

The correct string should be something along the line of "%s Options", but the string format in this source file doesn't seem to make it that easy.
Comment 1 Jorendc 2014-06-24 19:22:32 UTC
Patch currently under review: https://gerrit.libreoffice.org/#/c/9883/
Comment 2 Commit Notification 2014-06-25 10:05:40 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6162191b4a258d071382aeaa88aa80852b04ae2a

fdo#51763 - make title of dialog localisable



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-06-25 10:09:30 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c003f0270018d0b4c9d2220d43aa5a8d239d00b4&h=libreoffice-4-3

fdo#51763 - make title of dialog localisable


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-06-25 10:11:06 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ccace9b443e419c59274c8794eb3a9973c20b61f&h=libreoffice-4-2

fdo#51763 - make title of dialog localisable


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.